Subject: Re: CCL:help with MMFF94 in CHARMM

From: "Rebecca Rone" <[email-masked]>
Date: Tue, 14 Nov 2000 11:19:16 -0600

Dear Robert,

You may have slightly altered conformations of the molecule. It goes without
saying that different conformations will have the same bonded energies and
only the non-bonded energies will be different. Were you using distance
dependent dielectric (RDIE) or constant dielectric (CDIE)? The electrostatic
energy is very sensitive to this. Also, EES and VdW are both highly
sensitive to the coordinates of the system. Even just a change from double
precision to single precision on an already minimized structure can produce
changes to these two energy terms which shows up more heavily in the EES
term. Are you using a standard set of coordinates for all systems or did you
re-minimize something?

Another thing that can happen is if there is a random number generation in
the minimization scheme and one of the standard test structures (with its
conformation)was sitting at an undiscovered saddle point. In this case
different brands of computers can reach very different minimized structures.
If this could be the source of the problem try using the option in CHARMM
which let's you set the number. I think it is RANDOM SEED, or some such.
Most computers do not truly use a random number in their random number
generators so successive runs on the same computer may generate the same
structure even if it is a saddle point. Alternately, two miniumized
conformations from different computers may have found two different minima
which are on different sides of a conformational divide, although in this
case the non-bonded energies should be more different than what you are
seeing.

Ages ago SGI had a problem with some non-standard chips (which has long
since been resolved), but one of the first signals to this problem was that
computers with defective chips first failed on the standard test cases in
the fashion you described. If it is a similar chip problem, watch for the
calculations to become progessively more disturbed over time. To check this
run and re-run several dynamics calculations in bursts of 50 or so steps at
a batch and re-minimize after each. Totally bad chips may fail in the manner
we saw before where the structure ultimately becomes completely entangled in
a spiderweb construction. SGI has long since created quality control
measures to monitor chips for this problem but other manufacturers may not
have.

Regards,

Becky
Dr. Rebecca Rone
Rone Biotechnology Consulting
Boston, MA.
Chicago, IL.
Phone: 773-646-2585
Mobile: 630-638-2585

----- Original Message -----
From: "Robert Jorissen" <[email-masked]>
To: <[email-masked]>
Sent: Monday, November 13, 2000 11:46 PM
Subject: CCL:help with MMFF94 in CHARMM

> Hello
>
> I wish to perform some calculations using the MMFF94 forcefield in
> CHARMM.
> (I am using the acedemic version 25b1). I calculated the energies of a
> small
> number of small molecules from the MMFF94 validation set. Although the
> energy
> components from the bonded parameters (bond stretch, angle bending etc)
> seem to
> agree with those listed in the Batchmin and Optimol log files provided
> as part
> of the validation set files, I seem to have slight discrepencies with
> the
> van der Waals energies in some (but not all) of the systems and with the
> electrostatic energies in all of the small number of systems I have
> looked at
> so far.
>
> The results for one molecule are shown below. (Easy to compare the
> numbers if
> Courier font is used to view them.) The results from each energy term
> are from
> my CHARMM calculation, the calculation using Optimol and the
> calculations using
> Batchmin in double precision and single precision respectively.
>
> I would appreciate hearing from anyone who has used the MMFF94
> forcefield in
> CHARMM and whether they encountered this problem. I doubt that this can
> be
> explained by numerical imprecision in calculation since calculations "by
> hand"
> using a spreadsheet yield values for the electrostatic energy far closer
> to
> the Optimol and Batchmin values than the values I calculated using
> CHARMM.
> Also, the partial charges produced by CHARMM agreed with those in the
> input
> coordinate files.
>
> Any assistance would be appreciated.
>
> Rob
>
>
> BEWCUB - 18-ACETATO-ASPARENOMYCIN A P-NITROBENZYL ESTER
>
> "?BOND" to "4.74997"
> Optimol:    4.74997
> BMin DP:    4.74997559238
> BMin SP:    4.749975
>
> "?ANGL" to "20.6828"
> Optimol:    20.68285
> BMin DP:    20.6828388838
> BMin SP:    20.68284
>
> "?DIHE" to "24.6512"
> Optimol:    24.65119
> BMin DP:    24.6511913190
> BMin SP:    24.65120
>
> "?OOPL" to "-4.39081"
> Optimol:    -4.39082
> BMin DP:    -4.39081620274
> BMin SP:    -4.390817
>
> "?STRB" to "0.136841"
> Optimol:    0.13684
> BMin DP:    0.136842257168
> BMin SP:    0.1368436
>
> "?ELEC" to "-41.184"
> Optimol:    -41.40216
> BMin DP:    -41.4021642936
> BMin SP:    -41.40216
>
> "?VDW" to "48.2924"
> Optimol:   48.18183
> BMin DP:   48.1818461796
> BMin SP:   48.18185
>
> "?ENER" to "52.9385"
> Optimol:    52.60970
> BMin DP:    52.6097137356
> BMin SP:    52.60972
>
>
> --
> -----------------------------------------------------
> Robert Jorissen
>
> Ludwig Institute for Cancer Research
> P.O. BOX 2008, Royal Melbourne Hospital
> Parkville, Victoria 3050, Australia
>
> phone: ++61-3-9341-3155
> fax:   ++61-3-9341-3104
>
> e-mail: [email-masked]
> WWW:    http://modelling.ludwig.edu.au/~jorissen/
>
> -----------------------------------------------------
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody    |   [email-masked] -- To
Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net
70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan:
[email-masked]